Subject: [dispatch] Fwd: SIP load balancing

From: Cullen Jennings <[email-masked]>
Date: Thu, 31 Mar 2011 18:47:00 +0200

Forwarding this on behalf of Dale. 

Begin forwarded message:

> From: Dale Worley <[email-masked]>
> Date: March 31, 2011 6:30:53 PM GMT+02:00
> To: Cullen Jennings <[email-masked]>
> Subject: RE: [dispatch] SIP load balancing
> 
> I think there has been a problem sending this message, so I am resending it
> for a second time.
> 
> Dale
> ________________________________________
> From: Worley, Dale R (Dale)
> Sent: Wednesday, March 30, 2011 4:21 AM
> To: [email-masked]
> Subject: RE: [dispatch] SIP load balancing
> 
> I have been arguing that load balancing algorithms have more
> complicated behavior than people have been allowing for, and that
> therefore the analysis needed before adopting a load balancing system
> is more extensive than people think.
> 
> As a demonstration, I have written a spreadsheet that simulates the
> behavior of the current proposed scheme and adjusted the parameters
> for a situation where the offered load is 90% of capacity:
> 
>    There are two servers, one that can handle 100 calls and one that can
>    handle 10 calls.
> 
>    The offered load is 5 calls per time unit.  The calls have lifetimes
>    that have an exponential distribution with an average lifetime of 20
>    time units, and so in any time unit, 1/20 of the calls in the system
>    are cleared.  Thus, the steady-state of the system has 100 calls in
>    the system.
> 
>    In steady-state, the system operates at 90% of total capacity.
> 
>    Calls are treated as infinitely divisible, so there is no statistical
>    fluctuation in the loads.
> 
> The spreadsheet is attached to this e-mail, and is also available at
> http://theworld.com/~worley/load1.ods
> It is in ODF format, which is an open standard, and can be read by
> both OpenOffice and Excel.
> 
> The computations involved are incorporated into the spreadsheet, and
> you can change the spreadsheet to calculate the results under
> different assumptions.
> 
> In the selected case, one server has 10 times the capacity of the
> other server, and the system is offered 90% of the load that it can
> process.  Naively, one expects that a good load balancing scheme would
> split the load so that both servers are at about 90% of capacity, and
> that the load is split in approximately a 90%-10% proportion.
> 
> As you can see from the simulation, the steady-state has the load
> split 87.8-9.9, which is close to 90%-10%, but it does not load both
> servers at about 90% capacity -- server 1 is at 88% capacity but
> server 2 is at 99% capacity.
> 
> Dale

Cullen Jennings
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html